use clap::Clap;
use std::path::PathBuf;
use smartstring::alias::String;

#[derive(Clap, Debug)]
pub struct Parameters {
	/// Only examine files with these extensions (Comma-separated list)
	#[clap(short, long, use_delimiter = true)]
	pub extensions: Option<Vec<String>>,

	/// Don't skip hidden files and directories
	#[clap(short, long)]
	pub scan_hidden: bool,

	/// Directories to process
	#[clap(name = "DIRS", default_value = ".", parse(from_os_str))]
	// dirs: PathBuf
	pub dirs: PathBuf,
}
